package gssim.schedframe.scheduling.plugin.local;

import org.joda.time.DateTime;

import schedframe.scheduling.plugin.local.TimeOperations;

public class WormsTimeOperations extends TimeOperations {

	public WormsTimeOperations(){
		this(0);
	}
	
	public WormsTimeOperations(long timeDelta){
		super(timeDelta);
	}

	/**
	 * Get Calendar object representing current logic time
	 * @return current time
	 */
	public DateTime getTime() {
		return new DateTime();
	}

}
