package schedframe.resources.computing.profiles.energy.power.plugin;

import schedframe.Plugin;
import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.profiles.energy.EnergyEvent;
import schedframe.scheduling.manager.tasks.JobRegistry;

public interface EnergyEstimationPlugin extends Plugin {
	
	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource);

	public double estimateEnergyDissipation(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource);

	public double estimateTemperature(EnergyEvent event, JobRegistry jobRegistry, ComputingResource resource);

}
