package schedframe.resources.computing.validator;

import schedframe.resources.ResourceType;
import schedframe.resources.computing.ComputingResource;

public class ResourceTypeValidator implements ResourceValidator {

	private ResourceType type;
	public ResourceTypeValidator(ResourceType type) {
		super();
		this.type = type;
	}	

	@Override
	public boolean validate(ComputingResource resource) {
		return resource.getType().getName().equals(type.getName());
	}

}
