package schedframe.scheduling.manager.tasks;

import gssim.schedframe.scheduling.ExecTask;

import java.util.List;

import schedframe.scheduling.tasks.JobInterface;
import schedframe.scheduling.tasks.TaskInterface;


public interface JobRegistry {

	//public List<JobInterface<?>> getActiveJobs();

	//public List<TaskInterface<?>> getActiveTasks();
	
	public JobInterface<?> getJobInfo(String jobId);

	public TaskInterface<?> getTaskInfo(String jobId, String taskId);

	
	public List<ExecTask> getTasks(int status) ;

	public List<ExecTask> getQueuedTasks() ;
	
	public List<ExecTask> getRunningTasks() ;
	
	public List<ExecTask> getReadyTasks() ;
	
	public List<ExecTask> getFinishedTasks();


	//public List<SubmittedTask> getSubmittedTasks();
	
	public ExecTask getSubmittedTask(String jobId, String taskId);

	
	public List<? extends TaskInterface<?>> getReadyTasks(List<JobInterface<?>> jobsList);

}
