package simulator.workload.reader;

import java.io.IOException;

public interface JobReader <Job> {
	
	public void close() throws IOException;
	
	public Job read() throws IOException;
	
	public String readRaw() throws IOException;
	
	public void reset() throws IOException;
	
	public String getCurrentPosition();
}
