package simulator.workload.reader.resource;

/**
 * 
 * @author Marcin Krystek
 *
 */
public interface ResourceReader <Resource, Calendar> {

	public void close();
	
	public void setCalendar(Calendar calendar);
	
	public Resource read() throws Exception;
	
	public void loadPlugins(String fileName);
	
}
