package gridsim.gssim.filter;

import schedframe.scheduling.tasks.SubmittedTask;
import eduni.simjava.Sim_event;
import gridsim.filter.FilterResult;

/**
 * @author wojtek
 *
 */
public class SubTaskFilter extends FilterResult {

	public SubTaskFilter(int gridletID, int tag) {
		super(gridletID, tag);
	}

	public boolean match(Sim_event ev) {

		if (ev == null) {
			return false;
		}

		boolean result = false;
		try {

			if (tag_ == ev.get_tag()) {
				Object obj = ev.get_data();

				if (obj instanceof SubmittedTask) {

					SubmittedTask subTask = (SubmittedTask) obj;

					if (subTask.getGridletID() == eventID_) {
						result = true;
					}
				}
			}
		} catch (Exception e) {
			result = false;
		}

		return result;
	}

}
