package schedframe.resources.computing.validator;

import schedframe.resources.ResourceStatus;
import schedframe.resources.computing.ComputingResource;

public class ResourceStatusValidator implements ResourceValidator{
	
	private ResourceStatus status;
	
	public ResourceStatusValidator(ResourceStatus status) {
		super();
		this.status = status;
	}	

	@Override
	public boolean validate(ComputingResource resource) {
		return resource.getStatus() == status;
	}

}
