package schedframe.resources.utils;

import java.util.HashMap;

import schedframe.resources.ResourceType;

public class ResourceIdGenerator {
	
	private static HashMap<ResourceType, Integer> resourceCounter = new HashMap<ResourceType, Integer>();
	
	public static int getId(ResourceType type){

		int value = 0;
		if(resourceCounter.containsKey(type)){
			value = resourceCounter.get(type);
			value++;
		}
		resourceCounter.put(type, value);
		return value;
	}
}
