package simulator.stats.implementation;

import simulator.stats.implementation.out.StatsSerializer;
import java.util.UUID;

public abstract class StatsAbstractClass {

	protected UUID uuid;
	
	protected StatsAbstractClass(){
		uuid = UUID.randomUUID();
	}
	
	public abstract Object serialize(StatsSerializer serializer);
	public abstract String[] getHeaders();
	
	public UUID getUUID() {
		return uuid;
	}
	
}
