package org.qcg.broker.schemas.resreqs.wrapper.impl;

import java.util.ArrayList;

import org.qcg.broker.schemas.resreqs.ResourceRequirements;
import org.qcg.broker.schemas.resreqs.Task;
import org.qcg.broker.schemas.resreqs.wrapper.GrmsJob;



/**
 *
 * @author Marcin Krystek
 *
 */

public class GrmsJobImpl implements GrmsJob{

	protected ResourceRequirements resReq;
	
	public GrmsJobImpl(){
		resReq = null;
	}
	
	public GrmsJobImpl(ResourceRequirements resReq){
		this.resReq = resReq;
	}
	
	public void wrap(ResourceRequirements resReq){
		this.resReq = resReq;
	}
	
	public ResourceRequirements getResourceRequirements(){
		return resReq;
	}
	
	public Task[] getTask() {
		return resReq.getTask();
	}
	
	public Task[] getTask(String jobId){
		Task tab[] = null;
		String id = null;
		ArrayList<Task> ret = null;
		
		tab = getTask();
		
		if(tab == null)
			return null;
		
		ret = new ArrayList<Task>();
		
		for(int i = 0; i < tab.length; i++){
			id = tab[i].getJobId();
			if(id == null) continue;
			
			if(id.equals(jobId)){
				ret.add(tab[i]);
			}
		}
		
		return ret.toArray(new Task[0]);
	}
	
	public String getJobId(){
		return resReq.getTask(0).getJobId();
	}

}
