package gridsim.gssim;

import gridsim.GridSimTags;

/**
 * @author Marcin Krystek
 */
public class WormsTags extends GridSimTags {
	
	protected static final int GSSIMBASE = 600; 
	
	public static final int UPDATE= GSSIMBASE - 1;
	
	public static final int TIMER = GSSIMBASE + 1;
	
	public static final int TASK_READY_FOR_EXECUTION = GSSIMBASE + 2;
	
	public static final int TASK_EXECUTION_FINISHED = GSSIMBASE + 3;
	

	/**
	 * Message tag: query resource about its current state in object form (load, queues, etc.)
	 */ 
	public static final int QUERY_RESOURCE_DESC = GSSIMBASE + 4; 

	public static final int QUERY_RESOURCE_DESC_RESULT = GSSIMBASE + 5; 
	
	public static final int TASK_REQUESTED_TIME_EXPIRED = GSSIMBASE + 6;


}