package schedframe.scheduling.tasks.requirements;

import org.joda.time.MutableInterval;
import org.joda.time.ReadableDuration;

import schedframe.DescriptionContainer;


/**
 * 
 * @author Marcin Krystek
 *
 * @param <T>
 */
public abstract class AbstractTimeRequirements<T> extends MutableInterval implements DescriptionContainer<T> {


	private static final long serialVersionUID = 414381664327908536L;

	protected T timeRequirements;
	
	protected ReadableDuration expectedDuration;
	
	public ReadableDuration getExpectedDuration(){
		return this.expectedDuration;
	}

}
