package simulator.stats.implementation.out;

import simulator.stats.implementation.AccumulatedResourceStats;
import simulator.stats.implementation.GSSAccumulatorsStats;
import simulator.stats.implementation.JobStats;
import simulator.stats.implementation.ResourceEnergyStats;
import simulator.stats.implementation.ResourceStats;
import simulator.stats.implementation.ResourceUsageStats;
import simulator.stats.implementation.TaskStats;

/**
 * 
 * @author Marcin Krystek
 *
 */
public interface StatsSerializer {

	public Object visit(TaskStats arg);
	
	public Object visit(JobStats arg);
	
	public Object visit(ResourceStats arg);
	
	public Object visit(AccumulatedResourceStats arg);
	
	public Object visit(ResourceUsageStats arg);
	
	public Object visit(ResourceEnergyStats arg);

	
	public Object visit(GSSAccumulatorsStats arg);
	
}
