package simulator.workload.reader.xmlJob;

import java.io.IOException;

/**
 * 
 * @author Marcin Krystek
 *
 */
public interface WLFileAccess {
	
	/**
	 * 
	 * @return Name of the file from which value returned
	 * by read() method come from. 
	 */
	public String getFileName();
	
	/**
	 * 
	 * @return content of the next file
	 * @throws IOException 
	 */
	public String read() throws IOException;
	
	public void close();
}
