package gssim.schedframe.scheduling;

import java.util.List;

import schedframe.scheduling.tasks.TaskInterface;
import schedframe.scheduling.tasks.requirements.ResourceParameterName;

public interface ExecTask extends TaskInterface<org.qcg.broker.schemas.resreqs.Task> {

	public boolean expectSpecificResource(ResourceParameterName resourceName);	
	public Object getExpectedSpecificResource(ResourceParameterName resourceName);
	
	//public void addToResPath(String resName);
	//public String getResPath();
	
	public void visitResource(String resName);
	public List<String> getVisitedResources();
}
