package schedframe.resources.computing.profiles.energy.airthroughput;

import java.util.List;

import schedframe.Parameters;
import schedframe.resources.computing.profiles.energy.airthroughput.plugin.AirThroughputEstimationPlugin;

public class AirThroughputProfile {
	
	protected AirThroughputEstimationPlugin airThroughputEstimationPlugin;
	protected List <AirThroughputState> airThroughputStates;
	protected Parameters parameters;

	public AirThroughputProfile(AirThroughputEstimationPlugin airThroughputEstimationPlugin, List<AirThroughputState> airThroughputStates) {
		super();
		this.airThroughputEstimationPlugin = airThroughputEstimationPlugin;
		this.airThroughputStates = airThroughputStates;
	}

	public List<AirThroughputState> getAirThroughputStates() {
		return airThroughputStates;
	}
	
	public void init(Parameters params){
		this.parameters = params;
	}

	public Parameters getParameters() {
		return parameters;
	}
}
