package schedframe.resources.computing.profiles.energy.power;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import schedframe.resources.computing.profiles.energy.power.plugin.EnergyEstimationPlugin;

public class CPUPowerProfile extends PowerProfile{

	protected Map<String, PState> supportedPStates;

	public CPUPowerProfile(EnergyEstimationPlugin energyEstimationPlugin, List<schedframe.resources.computing.profiles.energy.power.PowerState> supportedPowerStates, List<schedframe.resources.computing.profiles.energy.power.PState> pStates){
		super(energyEstimationPlugin, supportedPowerStates);
		supportedPStates = new HashMap<String, PState>();
		for(PState pState: pStates){
			supportedPStates.put(pState.getName(), pState);
		}
	}

	public Map<String, PState> getSupportedPStates() {
		return supportedPStates;
	}
}