package schedframe.scheduling;

import schedframe.scheduling.tasks.Job;
import schedframe.scheduling.tasks.SubmittedTask;
import schedframe.scheduling.tasks.TaskInterface;
import gssim.schedframe.scheduling.ExecTask;

public 	interface WorkloadUnitHandler{
	
	public void handleJob(Job job);
	
	public void handleTask(TaskInterface<?> task);
	
	public void handleExecutable(ExecTask task);
	
	public void handleSubmittedTask(SubmittedTask task);
}