package schedframe.scheduling.plugin.local;

import schedframe.events.scheduling.SchedulingEvent;
import schedframe.events.scheduling.SchedulingResponseType;
import schedframe.scheduling.manager.resources.ResourceManager;
import schedframe.scheduling.manager.tasks.JobRegistryImpl;
import schedframe.scheduling.plugin.SchedulingPlugin;
import schedframe.scheduling.plugin.grid.ModuleList;
import schedframe.scheduling.queue.TaskQueueList;


public interface LocalSchedulingPlugin extends SchedulingPlugin {

	public SchedulingResponseType handleResourceAllocationViolation(SchedulingEvent event,
					TaskQueueList queues, 
					JobRegistryImpl jobRegistry, 
					ResourceManager resourceManager, ModuleList modules);

}
