package simulator.workload.generator;

import java.io.FileNotFoundException;
import java.io.IOException;

/**
 * @author Marcin Krystek
 *
 */
public interface JobGenerator {
	
	public void generateWorkload(String workloadConfigFileName, String outputDirectoryName, 
								boolean overwriteExistingFiles, String outputWorkloadFileName) throws FileNotFoundException, IOException;
	
	public void generateXMLSupplement(String configurationFileName, String swfFileName, 
								String outputDirectoryName, boolean ignoreNonEmptyOutputDir) throws FileNotFoundException, IOException;
	
	public void performPostprocessing(String resDescriptionFileName, String outputDirectoryName, String outputWorkloadFileName);
	
}
